#!/bin/ksh
# SCCSID: @(#) com.ibm.mq.explorer.ms0p.pubqstat/src/pubqstat.ksh, supportpacs, MS0P  1.2 12/07/02 12:40:05

# This sets default paths, but with MQ V7.1 these
# paths might be wrong as you can select your own paths.
# Change these as necessary.
os=`uname -a | cut -f1 -d" "`
if [ "$os" = "AIX" ]
then
  prefix="/usr"
else
  prefix="/opt"  
fi

# Save the args
args=$*
# Assume the qmgr is named as $2 (after a -m flag)
qmgr=$2

# Set the environment - may need to change this path
# depending where you've installed MQ
. $prefix/mqm/bin/setmqenv -km $qmgr

# The classpath must point to V7.1 (or later) jar files to match 
# the compiled version of this program
mq="$prefix/mqm/java/lib"
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.commonservices.jar
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.headers.jar
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.jmqi.jar
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.jar
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.pcf.jar

# Add in the jar for this command - you will need to change this path
CLASSPATH=$CLASSPATH:/MS0P/pubqstat/pubqstat.jar
export CLASSPATH

# Set a path to a Java 6 or later JRE - this should be where MQ has shipped one
jrepath="$prefix/mqm/java/jre64/jre/bin"

# Exec the program so it maintains the same pid. This is helpful
# for the amqsstop program when ending a service.
exec $jrepath/java -Djava.library.path=$LIBPATH:$MQ_JAVA_LIB_PATH PubQStat $args
